<app-bread-crumb
  [items]="[{text: 'Custos', link: '/custos'}, {text: pageTitle}]"
></app-bread-crumb>

<app-page-header
  [page-title]="pageTitle"
  button-text="<< Voltar"
  button-link="/custos"
  button-class="btn-light"
></app-page-header>


<form [formGroup]="resourceForm" (submit)="submitForm()">

  <div class="card">
    <div class="card-header">
      Informações sobre Custos
    </div>

    <div class="card-body">
      <div class="form-row">
        <div class="form-group col-md-8">
          <label for="descricao">Descrição</label>
          <input type="text" class="form-control" id="descricao" formControlName="descricao">

          <app-form-field-error [form-control]="resourceForm.get('descricao')"></app-form-field-error>
        </div>

        <div class="form-group col-md-4">
            <input class="form-check-input" checked=true type="checkbox" value="" id="ativo" formControlName="ativo" disabled>
            <label for="ativo">Ativo</label>

            <app-form-field-error [form-control]="resourceForm.get('ativo')"></app-form-field-error>
          </div>

      </div>
    </div>
  </div>

  <app-server-error-messages [server-error-messages]="serverErrorMessages"></app-server-error-messages>

  <button [disabled]="submittingForm || resourceForm.invalid" type="submit" class="btn btn-primary btn-lg float-right mt-3">
    Salvar
  </button>

</form>
